"use client";

import Head from "next/head";
import { useEffect } from "react";

export default function Home() {
  useEffect(() => {
    const plusWorker = new Worker(new URL("./worker", import.meta.url));

    plusWorker.onmessage = (event) => {
      console.log("🍏 Message received from worker: ", event.data);
    };

    plusWorker.onerror = (event) => {
      if (event instanceof Event) {
        console.log("🍎 Error message received from worker: ", event);
        return event;
      }

      console.log("🍎 Unexpected error: ", event);
      throw event;
    };

    plusWorker.postMessage([1, 2]);

    return () => {
      plusWorker.terminate();
    };
  }, []);

  return (
    <>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main>
        <div>
          <p>Get started by editing</p>
        </div>
      </main>
    </>
  );
}
